Apache Tomcat 7.0.42

## org.apache.naming.factory.webservices
Class ServiceProxy

    java.lang.Object
      org.apache.naming.factory.webservices.ServiceProxy

All Implemented Interfaces:
  InvocationHandler

    public class ServiceProxy

extends Object
implements InvocationHandler

Object proxy for Web Services.

Author:
  Fabien Carrion

Constructor Summary
`ServiceProxy(Service service)` Constructs a new ServiceProxy wrapping given Service instance.

Method Summary
`Object` `invoke(Object proxy, Method method, Object[] args)`
`void` `setPortComponentRef(Hashtable<String,QName> portComponentRef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProxy

    public ServiceProxy(Service service)
                 throws ServiceException

  Constructs a new ServiceProxy wrapping given Service instance.

  Parameters:
    `service` - the wrapped Service instance
  Throws:
    `ServiceException` - should be never thrown

Method Detail

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`
  See Also:
    `InvocationHandler.invoke(Object, Method, Object[])`

### setPortComponentRef

    public void setPortComponentRef(Hashtable<String,QName> portComponentRef)

  Parameters:
    `portComponentRef` - List

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.